RCFProto

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
DeltaVSoft.RCFProto.RcfProtoController Class Reference

RPC controller interface, for both server-side and client-side code. More...

Inheritance diagram for DeltaVSoft.RCFProto.RcfProtoController:

## Public Member Functions
| RcfProtoController (RcfProtoChannel channel)
| RcfProtoController (RcfProtoSession session)
void | Reset ()
| Resets the RcfProtoController to its initial state so that it may be reused in a new call. Must not be called while an RPC is in progress. More...
void | StartCancel ()
| Client-side: Cancels an RPC that is in progress. Once canceled, the "done" callback will still be called and the RcfProtoController will indicate that the call failed at that time. More...
bool | IsCanceled ()
| Server-side: If true, indicates that the client canceled the RPC, so the server may as well give up on replying to it. The server should still call the final "done" callback. More...
void | NotifyOnCancel (Action< object > callback)
| Asks that the given callback be called when the RPC is canceled. The callback will always be called exactly once. If the RPC completes without being canceled, the callback will be called after completion. If the RPC has already been canceled when NotifyOnCancel() is called, the callback will be called immediately. NotifyOnCancel() must be called no more than once per request. More...
void | SetFailed (string reason)
| Server-side: Causes Failed() to return true on the client-side. "reason" will be incorporated into the message returned by ErrorText(). If you find you need to return machine-readable information about failures, you should incorporate it into your response protocol buffer and should NOT call SetFailed(). More...
RcfProtoChannel | GetChannel ()
RcfProtoSession | GetSession ()

## Properties
string | ErrorText`[get]`
| Client-side: If Failed() is true, returns a human-readable description of the error. More...
bool | Failed`[get]`
| Client-side: After a call has finished, returns true if the call failed. Failed() must not be called before a call has finished. If Failed() returns true, the contents of the response message are undefined. More...

## Detailed Description

RPC controller interface, for both server-side and client-side code.

## Constructor & Destructor Documentation

DeltaVSoft.RCFProto.RcfProtoController.RcfProtoController | ( | RcfProtoChannel | channel | ) |

DeltaVSoft.RCFProto.RcfProtoController.RcfProtoController | ( | RcfProtoSession | session | ) |

## Member Function Documentation

RcfProtoChannel DeltaVSoft.RCFProto.RcfProtoController.GetChannel | ( |  | ) |

RcfProtoSession DeltaVSoft.RCFProto.RcfProtoController.GetSession | ( |  | ) |

bool DeltaVSoft.RCFProto.RcfProtoController.IsCanceled | ( |  | ) |

Server-side: If true, indicates that the client canceled the RPC, so the server may as well give up on replying to it. The server should still call the final "done" callback.

void DeltaVSoft.RCFProto.RcfProtoController.NotifyOnCancel | ( | Action< object > | callback | ) |

Asks that the given callback be called when the RPC is canceled. The callback will always be called exactly once. If the RPC completes without being canceled, the callback will be called after completion. If the RPC has already been canceled when NotifyOnCancel() is called, the callback will be called immediately. NotifyOnCancel() must be called no more than once per request.

void DeltaVSoft.RCFProto.RcfProtoController.Reset | ( |  | ) |

Resets the RcfProtoController to its initial state so that it may be reused in a new call. Must not be called while an RPC is in progress.

void DeltaVSoft.RCFProto.RcfProtoController.SetFailed | ( | string | reason | ) |

Server-side: Causes Failed() to return true on the client-side. "reason" will be incorporated into the message returned by ErrorText(). If you find you need to return machine-readable information about failures, you should incorporate it into your response protocol buffer and should NOT call SetFailed().

void DeltaVSoft.RCFProto.RcfProtoController.StartCancel | ( |  | ) |

Client-side: Cancels an RPC that is in progress. Once canceled, the "done" callback will still be called and the RcfProtoController will indicate that the call failed at that time.

## Property Documentation

string DeltaVSoft.RCFProto.RcfProtoController.ErrorText
| get

Client-side: If Failed() is true, returns a human-readable description of the error.

bool DeltaVSoft.RCFProto.RcfProtoController.Failed
| get

Client-side: After a call has finished, returns true if the call failed. Failed() must not be called before a call has finished. If Failed() returns true, the contents of the response message are undefined.

The documentation for this class was generated from the following file:

- RCFProto.cs